Skip to main content
GET
/
organization
/
agent-catalog
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "custom_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "model_provider": "<string>",
      "model_name": "<string>",
      "model_metadata": {}
    }
  ],
  "next_cursor": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Query Parameters

provider
string | null
model_name
string | null
cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

List catalog entries with pagination.

items
AgentCatalogRead · object[]
required
next_cursor
string | null